#[derive(Debug)]
pub enum Version {
    Http0_9,
    Http1_0,
    Http1_1,
    Http2,
    Http3,
}

impl Version {
    pub(crate) fn from_str(str: &str) -> Self {
        match str {
            "0.9" => Version::Http0_9,
            "1.0" => Version::Http1_0,
            "1.1" => Version::Http1_1,
            "2" => Version::Http2,
            "3" => Version::Http3,
            _ => unreachable!(),
        }
    }

    pub(crate) fn to_str(&self) -> &str {
        match self {
            Version::Http0_9 => "0.9",
            Version::Http1_0 => "1.0",
            Version::Http1_1 => "1.1",
            Version::Http2 => "2",
            Version::Http3 => "3",
        }
    }
}

impl Default for Version {
    fn default() -> Self {
        Version::Http1_1
    }
}
